New metatrader 4 compatible indicators - page 56

Mladen Rakic
160087
Mladen Rakic  
briano111:
Hi guys, can you please update this one?

Thank you in advance!

Brian

Brian

No need to update anything in that indicator. Just compile it and run it (not a single warning will be issued by the compiler)

Brian Osterhout
13
Brian Osterhout  
mladen:
Brian No need to update anything in that indicator. Just compile it and run it (not a single warning will be issued by the compiler)

My apologies mladen, thank you for your help though!

Brian

shawler
7
shawler  

indicatory-profitunity-mt4.zip please can you help with this indicators... seems not to be working with the new build

Mladen Rakic
160087
Mladen Rakic  
shawler:
indicatory-profitunity-mt4.zip please can you help with this indicators... seems not to be working with the new build

Here is this for start (mqh file will be needed in the rest of the indicators)

Files:
Mladen Rakic
160087
Mladen Rakic  
shawler:
indicatory-profitunity-mt4.zip please can you help with this indicators... seems not to be working with the new build

Here is the whole package

Template is included in the file (too keep all together)

Happy trading

Files:
altoronto
318
altoronto  

Mladen, me again .. Finally all of my terminals "luckly" updated to newest build, so one of the indicators which I am regularly using went nuts and now I am getting "incorrect start position for ArrayMinimum function" and "incorrect start position for ArrayMaximum function". I guess from this line,

dPriceHigh = values[ArrayMaximum(values,(iBarBegin)-iBarEnd,iBarEnd)];

dPriceLow = values[ArrayMinimum(values,(iBarBegin)-iBarEnd,iBarEnd)];

any quick fix for this issues?

Thank you in advance.

Mladen Rakic
160087
Mladen Rakic  
altoronto:
Mladen, me again .. Finally all of my terminals "luckly" updated to newest build, so one of the indicators which I am regularly using went nuts and now I am getting "incorrect start position for ArrayMinimum function" and "incorrect start position for ArrayMaximum function". I guess from this line,

dPriceHigh = values[ArrayMaximum(values,(iBarBegin)-iBarEnd,iBarEnd)];

dPriceLow = values[ArrayMinimum(values,(iBarBegin)-iBarEnd,iBarEnd)];

any quick fix for this issues?

Thank you in advance.

The quickest (dirtiest) fix would be something like this :

dPriceHigh = values[ArrayMaximum(values,iBarBegin-iBarEnd,MathMin(iBarEnd,Bars-1))];

dPriceLow = values[ArrayMinimum(values,iBarBegin-iBarEnd,MathMin(iBarEnd,Bars-1))];

shawler
7
shawler  

wow! thanks a bunch! you're such a kind life safer

madopter
161
madopter  

Dear mladen, please nmc the attached. I'm getting compile errors on this one whereas the adaptive version compiles OK without being nmc'd. Thank you.

Files:
Mladen Rakic
160087
Mladen Rakic  
madopter:
Dear mladen, please nmc the attached. I'm getting compile errors on this one whereas the adaptive version compiles OK without being nmc'd. Thank you.

madopter

Here you go :